From david-b@pacbell.net  Mon Dec 20 11:56:39 2004
>From greg  Mon Dec 20 11:56:39 2004
Return-Path: <david-b@pacbell.net>
Received: from localhost.localdomain [127.0.0.1]
	by localhost with POP3 (fetchmail-6.2.5)
	for greg@localhost (single-drop); Mon, 20 Dec 2004 11:56:38 -0800 (PST)
Received: from kroah.com ([216.218.225.136]) by kroah.com for <kroah@kroah.com>; Mon, 20 Dec 2004 11:52:03 -0800
Received: from ylpvm15.prodigy.net ([207.115.57.46]) by kroah.com for <greg@kroah.com>; Mon, 20 Dec 2004 11:52:00 -0800
Received: from ascent.site (adsl-69-107-50-237.dsl.pltn13.pacbell.net [69.107.50.237])
	by ylpvm15.prodigy.net (8.12.10 outbound/8.12.10) with ESMTP id iBKJqFkx023140;
	Mon, 20 Dec 2004 14:52:16 -0500
From: David Brownell <david-b@pacbell.net>
To: Greg KH <greg@kroah.com>
Subject: USB: fix Scheduling while atomic warning when resuming.
Date: Mon, 20 Dec 2004 11:52:16 -0800
User-Agent: KMail/1.7.1
Cc: Lukas Hejtmanek <xhejtman@mail.muni.cz>, linux-kernel@vger.kernel.org,
        linux-usb-devel@lists.sourceforge.net
References: <20041219231015.GB4166@mail.muni.cz> <20041220184814.GA21215@kroah.com>
In-Reply-To: <20041220184814.GA21215@kroah.com>
MIME-Version: 1.0
Content-Type: Multipart/Mixed;
  boundary="Boundary-00=_w1yxBb3rvy3yaWn"
Message-Id: <200412201152.16329.david-b@pacbell.net>
X-SpamProbe: GOOD 0.0000013 1710cb79a20807f8550c5ddddd2e9f09
Content-Length: 495
Lines: 17


From: David Brownell <david-b@pacbell.net>
Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>

--- 1.43/drivers/usb/host/ehci-hub.c	Fri Dec 17 18:57:39 2004
+++ edited/drivers/usb/host/ehci-hub.c	Mon Dec 20 11:48:01 2004
@@ -122,7 +122,7 @@
 		writel (temp, &ehci->regs->port_status [i]);
 	}
 	i = HCS_N_PORTS (ehci->hcs_params);
-	msleep (20);
+	mdelay (20);
 	while (i--) {
 		temp = readl (&ehci->regs->port_status [i]);
 		if ((temp & PORT_SUSPEND) == 0)

--Boundary-00=_w1yxBb3rvy3yaWn--

